package com.neusoft.smart.pos.report.persistent.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ConsumptionDetailsExample {
    private String orgName;
    private Integer orgGroupId ;
    @ApiModelProperty(name = "serialNo", value = "窗口机编号", dataType = "String", example = "12558336696")
    private  String serialNo;

    @ApiModelProperty(name = "startTime", value = "时间", dataType = "String" ,example="中午")
    private String startTime;
    @ApiModelProperty(name = "endTime", value = "时间", dataType = "String" ,example="中午")
    private String endTime;
    @ApiModelProperty(name = "mealTimes", value = "餐次", dataType = "String" ,example="4")
    private String mealTimes;

    @ApiModelProperty(name = "payType", value = "消费途经", dataType = "Integer" ,example="2018-01-01")
    private String payType;

    private Integer offset;

    private Integer limit;


    public void clear() {

        this.offset = null;
        this.limit = null;
    }

    public Integer getOffset() {
        return this.offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getLimit() {
        return this.limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }
}
